Bug 6577 - Rescue images (not duplicate of 5515)
Rescue images (not duplicate of 5515)
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 1999-10-31 17:20 EST by hchcheng
Modified: 2015-01-07 18:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-11-02 12:58:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hchcheng 1999-10-31 17:20:38 EST
From the solution of 5515, it seems that in order for me to
get into rescue mode, I must either have the CD-ROM or have
the RedHat directories sitting on my hard drive somewhere.
I borrowed a CD from someone to upgrade to 6.1, so I have
neither (just a boot disk).  When I tried typing "linux
rescue" with the install boot disk, it insists that I must
either have the Red Hat CD-ROM or the directories in my hard

I don't know if this is a bug or a feature, but I believe
that people who don't have the Red Hat directories handy
should still be able to get into rescue mode (e.g. people
doing ftp installs).
Comment 1 Jay Turner 1999-11-01 09:33:59 EST
The rescue images are available to anyone performing any of the
installation methods.  So, for someone that is performing a FTP
installation, they can boot the bootnet.img file with the "linux
rescue" option and the installer will ask where to retrieve the rescue
image from.  The user would just enter the address of the FTP server
and the installer would retrieve the rescue image from there.
Comment 2 hchcheng 1999-11-01 10:30:59 EST
I disagree.  If someone doesn't have access to the installation medium
any more (e.g. if someone hooked up temporarily to the net just to
install RH), then there is no way to enter rescue mode.

IMHO, one should be able to enter rescue mode as long as the floppy
drive is working.  Maybe RH should produce a stripped down version of
a rescue floppy (such as those in the pre-6.1 days) so people in real
trouble can actually get into rescue mode.
Comment 3 Jay Turner 1999-11-02 12:58:59 EST
If the install medium is not available, the user can boot from the
system boot disk (not the install one, but rather the boot disk made
the installation or with the mkbootdisk command) with the "linux
rescue" boot parameter and make use of the 6.0 rescue.img file.  We
are working to put together a rescue.img for the 6.1 distribution
which can be used in the same way, but until then, the 6.0 rescue.img
works great.
Comment 4 tibbitts 2000-02-05 11:46:59 EST
Has the new 6.1 rescue.img been completed?

Note You need to log in before you can comment on or make changes to this bug.